javax.jdo.query

## Interface BooleanExpression

- All Superinterfaces:
    ComparableExpression<Boolean>, Expression<Boolean>

      public interface BooleanExpression
      extends ComparableExpression<Boolean>

  Representation of a boolean expression.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BooleanExpression` | `and(BooleanExpression expr)` Method to return the AND of this expression and the other expression.
    `BooleanExpression` | `neg()` Method to return an expression that is the current expression negated.
    `BooleanExpression` | `not()` Method to negate this expression.
    `BooleanExpression` | `or(BooleanExpression expr)` Method to return the OR of this expression and the other expression.

    - ### Methods inherited from interface javax.jdo.query.ComparableExpression

      `asc, desc, gt, gt, gteq, gteq, lt, lt, lteq, lteq, max, min`

    - ### Methods inherited from interface javax.jdo.query.Expression

      `as, cast, count, countDistinct, eq, eq, instanceOf, ne, ne`

- - ### Method Detail

    - #### and

          BooleanExpression and(BooleanExpression expr)

      Method to return the AND of this expression and the other expression.
      Parameters:
        `expr` - The other expression
      Returns:
        The resultant (boolean) expression

    - #### or

          BooleanExpression or(BooleanExpression expr)

      Method to return the OR of this expression and the other expression.
      Parameters:
        `expr` - The other expression
      Returns:
        The resultant (boolean) expression

    - #### not

          BooleanExpression not()

      Method to negate this expression.
      Returns:
        The negated expression

    - #### neg

          BooleanExpression neg()

      Method to return an expression that is the current expression negated.
      Returns:
        The negated expression

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.